IBM Support

Updates to IBM App Connect Enterprise, IBM Integration Bus and WebSphere Message Broker that have led to changes in default configuration or behaviour

Product Documentation


Abstract

Some APARs and component upgrades have resulted in necessary changes to default configuration or behaviour in IBM App Connect Enterprise, IBM Integration Bus and WebSphere Message Broker, which may require additional migration steps when upgrading.

Content

The table below specifies the minimum versions of IBM App Connect Enterprise, IBM Integration Bus and WebSphere Message Broker where the changes apply:

 

v11 v10 v9 v8
Security vulnerabilities in WebSphere Message Broker and IBM Integration Bus that have led to changes in the default configuration N/A 10.0.0.0 9.0.0.4 8.0.0.6

Policies explicitly referenced by message flows and message flow nodes must now be deployed in the default policy project for the integration server unless the message flow or message flow node property explicitly names the policy project using the "{project-name}:policy-name" syntax on the property. The default policy project name is "DefaultPolicies" and this name may be modified using the 'policyProject' attribute in the server.conf.yaml file for an integration server. Policies created using the mqsicreateconfigurableservice command are automatically placed into the "DefaultPolicies" policy project for the integration node.

11.0.0.1 N/A N/A N/A
Fix for security vulnerability APAR IT25079 makes a change that may impact users of CICS XA on distributed UNIX or Linux systems. As a result, the user running the MQ queue manager responsible for coordinating global transactions must be part of the mqbrkrs group. 11.0.0.1 10.0.0.13 N/A N/A
10.0.0.13 adds support for ODBC CONNECTIONS TO ORACLE 12C RELEASE 2. With this fixpack the default value for the connection property EnableNCharSupport has changed from EnableNcharSupport=0 to EnableNcharSupport=1 which can result in a string truncation error when working with CLOB column data against a UTF-8 Oracle database. Data types NCHAR, NVARCHAR, NVARCHAR2, and NCLOB on Oracle are not supported and it is recommended that you explicitly disable this connection option. Instructions are supplied under APAR IT25238. 11.0.0.1 10.0.0.13 9.0.0.11 N/A
The version of Java shipped with the product on Linux (x64, Z, PPC & PPCLE), AIX & Windows has been upgraded from Java 7.1 to Java 8. Java 8 has also been added as a supported version for z/OS. See IBM Integration Bus v10 support for Java 8 for known issues associated with the JRE upgrade. N/A 10.0.0.11 N/A N/A
Invalid characters not allowed by RFCs 7230 & 3986 are no longer permitted in an HTTP request URL received by IIB/WMB. As a result, you will observe 'HTTP/1.1 400 Bad Request' errors from your client if special characters are present in the URL/query string. To recover from such failure/errors, special characters in the following list must be percentage encoded: ' ',",#,<,>,\,^,`,{,|,}. N/A 10.0.0.9 9.0.0.8 8.0.0.9
10.0.0.8 changes the level of the JMS interface that is used by default from JMS 1.1 to JMS 2.0. This may result in the failure to load JMS Provider clients that are not compatible with the JMS 2.0 interface. This change in default behaviour can be reverted by setting the environment variable MQSI_JMS_INTERFACE_VERSION_1 to any non-null value prior to starting the Integration Node. N/A 10.0.0.8 N/A N/A
IT07291 / IT10385 - APARs IT10385 and IT07291 introduce changes to XA handling for JMS and JDBC that require additional migration steps when upgrading to a fixpack which includes the APARs. N/A 10.0.0.6 9.0.0.6 N/A
If the integration node function level is set to 10.0.0.4 or later, or all, then the XML format REST responses to the apiv1 admin api now include namespaces. This makes responses incompatible with previous responses if they are parsed using a namespace aware XML parser. N/A 10.0.0.4 N/A N/A
IT01950 - ESQL no longer allows propagation from within FOR loop. N/A 10.0.0.0 9.0.0.3 8.0.0.5
PI17122 - FileOutput Node no longer creates files with world writeable permissions. N/A 10.0.0.0 9.0.0.3 8.0.0.5

 

 

 

 

 


Cross reference information
Product Component Platform Version Edition
WebSphere Message Broker Migration 7.0, 8.0 All Editions
IBM App Connect Enterprise Migration Linux, Windows All Versions

Document information

More support for: IBM Integration Bus

Component: Migration

Software version: 7.0, 8.0, 9.0, 10.0, All Versions

Operating system(s): AIX, HP-UX, Linux, Solaris, Windows, z/OS

Software edition: All Editions

Reference #: 7049142

Modified date: 07 September 2018